# EllipsoidGraphics

#### new Cesium.EllipsoidGraphics(options)
DataSources/EllipsoidGraphics.js 43

Describe an ellipsoid or sphere. The center position and orientation are determined by the containing `Entity`.

Name | Type | Description
--- | --- | ---
`options` | EllipsoidGraphics.ConstructorOptions | optional Object describing initialization options

##### Demo:

- Cesium Sandcastle Spheres and Ellipsoids Demo

### Members

#### readonly definitionChanged : Event
DataSources/EllipsoidGraphics.js 93

Gets the event that is raised whenever a property or sub-property is changed or modified.

#### distanceDisplayCondition : Property|undefined
DataSources/EllipsoidGraphics.js 243

Gets or sets the `DistanceDisplayCondition` Property specifying at what distance from the camera that this ellipsoid will be displayed.

#### fill : Property|undefined
DataSources/EllipsoidGraphics.js 168

Gets or sets the boolean Property specifying whether the ellipsoid is filled with the provided material.

Default Value: `true`

#### heightReference : Property|undefined
DataSources/EllipsoidGraphics.js 160

Gets or sets the Property specifying the `HeightReference`.

Default Value: `HeightReference.NONE`

#### innerRadii : Property|undefined
DataSources/EllipsoidGraphics.js 120

Gets or sets the `Cartesian3` `Property` specifying the inner radii of the ellipsoid.

Default Value: `radii`

#### material : MaterialProperty
DataSources/EllipsoidGraphics.js 176

Gets or sets the Property specifying the material used to fill the ellipsoid.

Default Value: `Color.WHITE`

#### maximumClock : Property|undefined
DataSources/EllipsoidGraphics.js 136

Gets or sets the Property specifying the maximum clock angle of the ellipsoid.

Default Value: `2*PI`

#### maximumCone : Property|undefined
DataSources/EllipsoidGraphics.js 152

Gets or sets the Property specifying the maximum cone angle of the ellipsoid.

Default Value: `PI`

#### minimumClock : Property|undefined
DataSources/EllipsoidGraphics.js 128

Gets or sets the Property specifying the minimum clock angle of the ellipsoid.

Default Value: `0.0`

#### minimumCone : Property|undefined
DataSources/EllipsoidGraphics.js 144

Gets or sets the Property specifying the minimum cone angle of the ellipsoid.

Default Value: `0.0`

#### outline : Property|undefined
DataSources/EllipsoidGraphics.js 184

Gets or sets the Property specifying whether the ellipsoid is outlined.

Default Value: `false`

#### outlineColor : Property|undefined
DataSources/EllipsoidGraphics.js 192

Gets or sets the Property specifying the `Color` of the outline.

Default Value: `Color.BLACK`

#### outlineWidth : Property|undefined
DataSources/EllipsoidGraphics.js 203

Gets or sets the numeric Property specifying the width of the outline.

Note: This property will be ignored on all major browsers on Windows platforms. For details, see (@link https://github.com/CesiumGS/cesium/issues/40}.

Default Value: `1.0`

#### radii : Property|undefined
DataSources/EllipsoidGraphics.js 112

Gets or sets the `Cartesian3` `Property` specifying the radii of the ellipsoid.

#### shadows : Property|undefined
DataSources/EllipsoidGraphics.js 236

Get or sets the enum Property specifying whether the ellipsoid casts or receives shadows from light sources.

Default Value: `ShadowMode.DISABLED`

#### show : Property|undefined
DataSources/EllipsoidGraphics.js 105

Gets or sets the boolean Property specifying the visibility of the ellipsoid.

Default Value: `true`

#### slicePartitions : Property|undefined
DataSources/EllipsoidGraphics.js 219

Gets or sets the Property specifying the number of radial slices per 360 degrees.

Default Value: `64`

#### stackPartitions : Property|undefined
DataSources/EllipsoidGraphics.js 211

Gets or sets the Property specifying the number of stacks.

Default Value: `64`

#### subdivisions : Property|undefined
DataSources/EllipsoidGraphics.js 227

Gets or sets the Property specifying the number of samples per outline ring, determining the granularity of the curvature.

Default Value: `128`

### Methods

#### clone(result) → EllipsoidGraphics
DataSources/EllipsoidGraphics.js 254

Duplicates this instance.

Name | Type | Description
--- | --- | ---
`result` | EllipsoidGraphics | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new instance if one was not provided.

#### merge(source)
DataSources/EllipsoidGraphics.js 285

Assigns each unassigned property on this object to the value of the same property on the provided source object.

Name | Type | Description
--- | --- | ---
`source` | EllipsoidGraphics | The object to be merged into this object.

### Type Definitions

#### Cesium.EllipsoidGraphics.ConstructorOptions
DataSources/EllipsoidGraphics.js 8

Initialization options for the EllipsoidGraphics constructor

##### Properties:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`show` | Property | boolean | <optional> | true | A boolean Property specifying the visibility of the ellipsoid.
`radii` | Property | Cartesian3 | <optional> |  | A `Cartesian3` Property specifying the radii of the ellipsoid.
`innerRadii` | Property | Cartesian3 | <optional> |  | A `Cartesian3` Property specifying the inner radii of the ellipsoid.
`minimumClock` | Property | number | <optional> | 0.0 | A Property specifying the minimum clock angle of the ellipsoid.
`maximumClock` | Property | number | <optional> | 2*PI | A Property specifying the maximum clock angle of the ellipsoid.
`minimumCone` | Property | number | <optional> | 0.0 | A Property specifying the minimum cone angle of the ellipsoid.
`maximumCone` | Property | number | <optional> | PI | A Property specifying the maximum cone angle of the ellipsoid.
`heightReference` | Property | HeightReference | <optional> | HeightReference.NONE | A Property specifying what the height from the entity position is relative to.
`fill` | Property | boolean | <optional> | true | A boolean Property specifying whether the ellipsoid is filled with the provided material.
`material` | MaterialProperty | Color | <optional> | Color.WHITE | A Property specifying the material used to fill the ellipsoid.
`outline` | Property | boolean | <optional> | false | A boolean Property specifying whether the ellipsoid is outlined.
`outlineColor` | Property | Color | <optional> | Color.BLACK | A Property specifying the `Color` of the outline.
`outlineWidth` | Property | number | <optional> | 1.0 | A numeric Property specifying the width of the outline.
`stackPartitions` | Property | number | <optional> | 64 | A Property specifying the number of stacks.
`slicePartitions` | Property | number | <optional> | 64 | A Property specifying the number of radial slices.
`subdivisions` | Property | number | <optional> | 128 | A Property specifying the number of samples per outline ring, determining the granularity of the curvature.
`shadows` | Property | ShadowMode | <optional> | ShadowMode.DISABLED | An enum Property specifying whether the ellipsoid casts or receives shadows from light sources.
`distanceDisplayCondition` | Property | DistanceDisplayCondition | <optional> |  | A Property specifying at what distance from the camera that this ellipsoid will be displayed.